.budi-stepbystepwithline__item-col {
    width: 50%;
    padding: 30px 60px 0;
}

.budi-stepbystepwithline__image {
    width: 100px;
    height: 100px;
    object-fit: contain;
}

.budi-stepbystepwithline__item-number {
    width: 50px;
    height: 50px;
    border-radius: 100px;
    background-color: var(--color-main);
    margin-bottom: 13px;
    transition: all 0.3s ease-in;
}

.budi-stepbystepwithline__item-number.budi-passed{
    background-color: var(--color-sub);
}

.budi-stepbystepwithline__line {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 4px;
    height: 100%;
    overflow: hidden;
}

.budi-stepbystepwithline__line-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #cecece;
}

.budi-stepbystepwithline__line-progress {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background-color: red;
    height: 0%;
    transition: height 0.3s ease;
}

.budi-stepbystepwithline__line::before,
.budi-stepbystepwithline__line::after {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 140px;
    z-index: 2;
}

.budi-stepbystepwithline__line::before {
    top: 0;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
}

.budi-stepbystepwithline__line::after {
    bottom: 0;
    background: linear-gradient(to top, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
}

@media screen and (max-width: 767px) {
    .budi-stepbystepwithline__item-col{
        width: 100%;
    }

    .budi-stepbystepwithline__line{
        left: 20px;
        transform: unset;
    }

    .budi-stepbystepwithline__item-col{
        padding-left: 45px;
        padding-right: 45px;
    }

    .budi-stepbystepwithline__item-title{
        margin-bottom: 20px;
    }

    .budi-stepbystepwithline__item-number{
        margin-bottom: 20px;
    }
}